
Smart Proxy - Bug #1260

autosign.conf doesn't support puppet enterprise

10/25/2011 10:46 PM - Corey Osman

Status: Resolved   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

smart-proxy should be looking for /etc/puppetlabs/puppet/autosign.conf instead of /etc/puppet/autosign.conf

Adding autosign entry for puppetmaster.logicminds.corp

Failed to add puppetmaster.logicminds.corp to autosign file: Failed to enable autosign for puppetm

aster.logicminds.corp: Permission denied - /etc/puppet/autosign.conf

Filter chain halted as [:handle_ca] rendered_or_redirected.

Completed in 833ms (View: 1, DB: 2) | 200 OK [http://192.168.1.18/unattended/provision]

History

#1 - 10/25/2011 10:46 PM - Corey Osman

- Target version set to 0.3

#2 - 10/26/2011 12:38 AM - Ohad Levy

- Status changed from New to Feedback

afair it does, you simply didnt select the puppet proxy in your host.

#3 - 10/26/2011 02:06 AM - Corey Osman

I think the problem was that I had puppet and puppet enterprise installed and smart-proxy picked the puppet autosign.conf instead of the puppet

enterprise autosign.conf.  Can you add this option to the settings.yml so the user can specify?

autosign_location: /etc/puppetlabs/puppet/autosign.conf

default: /etc/puppet/autosign.conf

#4 - 11/08/2011 01:46 PM - Ohad Levy

- Target version deleted (0.3)

#5 - 07/04/2012 06:38 AM - Benjamin Papillon

This issue is now handled with smartproxy. Please use the following line inside the settings.yml in smart proxy :

:puppetdir: /etc/puppetlabs/puppet

#6 - 07/05/2012 04:44 AM - Ohad Levy

- Status changed from Feedback to Resolved
